compile error while compiling perl module

didn’t get to document this properly, while i was compiling the sybase module for perl on solaris10 i encountered this error:

cc1: error: unrecognized option `-Wdeclaration-after-statement’

it turned out that the the compiler that came with sol10 OR the box had an outdated version of the gcc compiler. i’m so poor at documentation at times boooo. it turned out that the option “-Wdeclaration-after-statement” was only available on later version of gcc.
solution: installed the latest version of gcc for sol from sunfreeware.com

This entry was posted in Uncategorized and tagged , . Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *

Security Code:

This site uses Akismet to reduce spam. Learn how your comment data is processed.